#!/bin/bash
#
# Output "'\ mit single quotes
awk 'BEGIN {print "\"'\''\\" }'
# Output \"'\" mit single quotes
awk 'BEGIN {print "\\\"'\''\\\"" }'

# Output "'\ mit double quotes
awk "BEGIN { print \"\\\"'\\\\\" }"

# Output \"'\" mit double quotes
awk "BEGIN { print \"\\\\\\\"'\\\\\\\"\" }"

winform='c:\windows\system'
# ersetzen mit sed
uniform=$( echo "$winform" | sed 's/\\/\//g')
echo $uniform

# ersetzen mit sed, Begrenzer beliebig -- muss nicht / sein
uniform=$( echo "$winform" | sed 's!\\!/!g')
echo $uniform


# ersetzen mit awk
uniform=$( echo "$winform" | awk '{gsub(/\\/, "/")} 1')
echo $uniform

# ersetzen mit Bash-Parametersubstitution
uniform=${winform//\\//}
echo $uniform

